Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class SSBTRD

    java.lang.Object
      org.netlib.lapack.SSBTRD

    public class SSBTRD

extends java.lang.Object

    SSBTRD is a simplified interface to the JLAPACK routine ssbtrd.
    This interface converts Java-style 2D row-major arrays into
    the 1D column-major linearized arrays expected by the lower
    level JLAPACK routines.  Using this interface also allows you
    to omit offset and leading dimension arguments.  However, because
    of these conversions, these routines will be slower than the low
    level ones.  Following is the description from the original Fortran
    source.  Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  SSBTRD reduces a real symmetric band matrix A to symmetric
     *  tridiagonal form T by an orthogonal similarity transformation:
     *  Q**T * A * Q = T.
     *
     *  Arguments
     *  =========
     *
     *  VECT    (input) CHARACTER*1
     *          = 'N':  do not form Q;
     *          = 'V':  form Q;
     *          = 'U':  update a matrix X, by forming X*Q.
     *
     *  UPLO    (input) CHARACTER*1
     *          = 'U':  Upper triangle of A is stored;
     *          = 'L':  Lower triangle of A is stored.
     *
     *  N       (input) INTEGER
     *          The order of the matrix A.  N >= 0.
     *
     *  KD      (input) INTEGER
     *          The number of superdiagonals of the matrix A if UPLO = 'U',
     *          or the number of subdiagonals if UPLO = 'L'.  KD >= 0.
     *
     *  AB      (input/output) REAL array, dimension (LDAB,N)
     *          On entry, the upper or lower triangle of the symmetric band
     *          matrix A, stored in the first KD+1 rows of the array.  The
     *          j-th column of A is stored in the j-th column of the array AB
     *          as follows:
     *          if UPLO = 'U', AB(kd+1+i-j,j) = A(i,j) for max(1,j-kd)<=i<=j;
     *          if UPLO = 'L', AB(1+i-j,j)    = A(i,j) for j<=i<=min(n,j+kd).
     *          On exit, the diagonal elements of AB are overwritten by the
     *          diagonal elements of the tridiagonal matrix T; if KD > 0, the
     *          elements on the first superdiagonal (if UPLO = 'U') or the
     *          first subdiagonal (if UPLO = 'L') are overwritten by the
     *          off-diagonal elements of T; the rest of AB is overwritten by

     *          values generated during the reduction.
     *
     *  LDAB    (input) INTEGER
     *          The leading dimension of the array AB.  LDAB >= KD+1.
     *
     *  D       (output) REAL array, dimension (N)
     *          The diagonal elements of the tridiagonal matrix T.
     *
     *  E       (output) REAL array, dimension (N-1)
     *          The off-diagonal elements of the tridiagonal matrix T:
     *          E(i) = T(i,i+1) if UPLO = 'U'; E(i) = T(i+1,i) if UPLO = 'L'.
     *
     *  Q       (input/output) REAL array, dimension (LDQ,N)
     *          On entry, if VECT = 'U', then Q must contain an N-by-N
     *          matrix X; if VECT = 'N' or 'V', then Q need not be set.
     *
     *          On exit:
     *          if VECT = 'V', Q contains the N-by-N orthogonal matrix Q;
     *          if VECT = 'U', Q contains the product X*Q;
     *          if VECT = 'N', the array Q is not referenced.
     *
     *  LDQ     (input) INTEGER
     *          The leading dimension of the array Q.
     *          LDQ >= 1, and LDQ >= N if VECT = 'V' or 'U'.
     *
     *  WORK    (workspace) REAL array, dimension (N)
     *
     *  INFO    (output) INTEGER
     *          = 0:  successful exit
     *          < 0:  if INFO = -i, the i-th argument had an illegal value
     *
     *  Further Details
     *  ===============
     *
     *  Modified by Linda Kaufman, Bell Labs.
     *
     *  =====================================================================
     *
     *     .. Parameters ..

Constructor Summary
`SSBTRD()`

Method Summary
`static void` | `SSBTRD(java.lang.String vect, java.lang.String uplo, int n, int kd, float[][] ab, float[] d, float[] e, float[][] q, float[] work, intW info)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SSBTRD

    public SSBTRD()

Method Detail

### SSBTRD

    public static void SSBTRD(java.lang.String vect,
                              java.lang.String uplo,
                              int n,
                              int kd,
                              float[][] ab,
                              float[] d,
                              float[] e,
                              float[][] q,
                              float[] work,
                              intW info)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD